Scrivener 1.7.2.1 Linux released 14th/7/2014 (NOT LATEST)

User avatar
LAP
Posts: 1023
Joined: Tue Sep 21, 2010 5:25 pm
Platform: Windows
Location: Sydney
Contact:

Mon Jul 14, 2014 1:53 am Post

Hi All,

We are very happy to announce a new, vastly improved, Scrivener for Linux 1.7.2.1 beta. With over 500 bug fixes and all the additions included in the recent Windows 1.7.2 release, Scrivener is now available for Linux users. See Windows official release notes for 1.7.x here:
http://www.literatureandlatte.com/scrivWinChangeList.php

Download here (now 32bit and 64bit versions available):
http://www.literatureandlatte.com/scrivenerforlinux/scrivener-1.7.2.1-i386.deb
http://www.literatureandlatte.com/scrivenerforlinux/scrivener-1.7.2.1-i386.tar.gz

http://www.literatureandlatte.com/scrivenerforlinux/scrivener-1.7.2.1-x86_64.deb
http://www.literatureandlatte.com/scrivenerforlinux/scrivener-1.7.2.1-x86_64.tar.gz

Important Notes:
In light of spending a painful five days trying to get Scrivener 1.7.2.1 to compile for Linux, Scrivener is no longer able to link against glibc 2.13 (released 04 Feb 2011). We now link against glibc 2.15 (released 21 Feb 2012). When we build Qt we use gcc compiler v4.7.2 that comes with glibc 2.15. We use the default compiler provided in the oldest officially supported Ubuntu version. To continue to use the older glibc would mean using an older compiler and libraries which cause problems with the latest versions of 3rd party packages we use in Scrivener 1.7.2.1. If you are using glibc 2.13, you will need to upgrade to 2.15 to use Scrivener v1.7.2.1. If you don't wish to upgrade glibc you can continue to use Scrivener 1.6.1.1.

We hope you enjoy this version of Scrivener and appreciate our continued efforts to provide free builds to the Linux community.

Lee & Tiho
P.S. We are in the process of putting together an RPM package for Fedora users. Will post when complete.

el
ellarien
Posts: 67
Joined: Mon Dec 03, 2012 11:07 am
Platform: Linux + Windows

Mon Jul 14, 2014 11:01 am Post

Sounds good! But I downloaded the 32-bit deb file and it installed 1.2.6.0 and then told me the beta was expired. :(

re
reepicheep
Posts: 509
Joined: Sat Aug 22, 2009 5:11 pm
Platform: Mac + iOS

Mon Jul 14, 2014 11:28 am Post

Presumably this is Linux on Intel architecture. There's a bunch of people over in the NaNoWriMo user forums discussing using RaspberryPi for a distraction-less writing setup. Given the limitations of the RaspberryPi it would be a single purpose system but that ARM based Linux environment could make for a fantastic dedicated Scrivener device.
Techie details in case I forget

Scrivener 3.1.3 (11945)
Mac OS X 10.13.6
Scrivener 1.1.5 (1301)
iOS 9.3.5/12.3.1

Mi
Middling
Posts: 4
Joined: Wed Jun 04, 2014 10:04 am
Platform: Mac

Mon Jul 14, 2014 3:42 pm Post

Your 64bit .deb isn't installable.

Code: Select all

$ sudo dpkg -i scrivener-1.7.2.1-x86_64.deb
dpkg: error processing archive scrivener-1.7.2.1-x86_64.deb (--install):
 package architecture (i386) does not match system (amd64)
Errors were encountered while processing:
 scrivener-1.7.2.1-x86_64.deb


This is on Mint 17 Cinnamon 64bit. Perhaps whatever you're using to package the .deb is tagging it as i386 instead of amd64?

Code: Select all

$ sudo dpkg --force-architecture -i scrivener-1.7.2.1-x86_64.deb
forces the installation and Scrivener seems to run fine afterwards, so the binaries themselves are 64bit.

User avatar
tiho_d
Posts: 1208
Joined: Tue Sep 13, 2011 1:14 pm
Platform: Linux + Windows

Mon Jul 14, 2014 5:25 pm Post

Thanks for the hint, Middling! This is the first package of Scrivener on 64bit and it might need some adjustments. Thanks to your input I quickly found the problem. I corrected it and will probably release a new build in the next few days.

Gr
Graybyrd
Posts: 182
Joined: Tue Apr 29, 2008 5:39 am
Platform: Mac, Win + Linux
Location: Whidbey Island, WA
Contact:

Mon Jul 14, 2014 7:29 pm Post

Although the 32-bit .deb download is labeled as 1.7.2.1, internally it comes up in gdebi as Ver. 1.2.6, and although it will install, it immediately shuts down with a "beta expired" message. Prior to install, I'd removed ver. 1.2.6 and deleted the earlier .deb file ... so this 'confusion' transpired with a fresh download of 1.7.2.1.

Somehow it seems the old 1.2.6 file is still being linked for the download?

- - -

Did a fresh download of 1.7.2.1 ... and used 'dpkg' to install. Here is the terminal report:

graybyrd@s4000t:~/Downloads$ sudo dpkg -i scrivener-1.7.2.1-i386.deb
[sudo] password for graybyrd:
Selecting previously unselected package scrivener.
(Reading database ... 244119 files and directories currently installed.)
Preparing to unpack scrivener-1.7.2.1-i386.deb ...
Unpacking scrivener (1.2.6.0) ...
Setting up scrivener (1.2.6.0) ...

Processing triggers for desktop-file-utils (0.22-1) ...
Processing triggers for mime-support (3.54) ...
Processing triggers for menu (2.1.46) ...
graybyrd@s4000t:~/Downloads$
On my honor, I will do my best not to do anything unlawful, infringing, disruptive, harmful, threatening, abusive, tortious, defamatory, libelous, lewd, profane, obscene, hateful or otherwise objectionable. Pinky Promise. :mrgreen:

el
ellarien
Posts: 67
Joined: Mon Dec 03, 2012 11:07 am
Platform: Linux + Windows

Mon Jul 14, 2014 7:56 pm Post

Graybyrd wrote:Although the 32-bit .deb download is labeled as 1.7.2.1, internally it comes up in gdebi as Ver. 1.2.6, and although it will install, it immediately shuts down with a "beta expired" message. Prior to install, I'd removed ver. 1.2.6 and deleted the earlier .deb file ... so this 'confusion' transpired with a fresh download of 1.7.2.1.




That's exactly what I got, as I reported above. This was on a fairly recent VM that never had 1.2.6 on it in the first place. I got the same messages, too.

User avatar
tiho_d
Posts: 1208
Joined: Tue Sep 13, 2011 1:14 pm
Platform: Linux + Windows

Mon Jul 14, 2014 8:44 pm Post

Hi Guys! We just found out that during the upload of the files a wrong set of files got uploaded and renamed. Sorry about that! A new set of binaries(also with fixed architecture) will be uploaded soon. The file having the problem is: scrivener-1.7.2.1-i386.deb. Using the other tarball archive seems to be alright.

Please, let us know if any other file or archive is causing issues. Thank You, guys and sorry about that!

an
anko roze
Posts: 29
Joined: Thu Nov 04, 2010 3:27 am
Platform: Linux

Tue Jul 15, 2014 12:13 am Post

great news and thanks to lee and co.! looking forward to the fixed 64bit packages. :D

el
ellarien
Posts: 67
Joined: Mon Dec 03, 2012 11:07 am
Platform: Linux + Windows

Tue Jul 15, 2014 8:46 am Post

Thank you! 1.7.2.2 32-bit .deb works fine for me. I look forward to having the new features available on the Linux side.

fl
flaxton
Posts: 17
Joined: Tue Apr 09, 2013 1:19 pm
Platform: Mac

Thu Jul 24, 2014 4:14 pm Post

The download links for the 64-bit release deb and tar.gz give a 404 (not found) response...

User avatar
tiho_d
Posts: 1208
Joined: Tue Sep 13, 2011 1:14 pm
Platform: Linux + Windows

Fri Jul 25, 2014 9:10 am Post

As the title of this thread reads, "not latest" - there is a newer version available. The old links have been removed. This post is kept only to track version changes and updates. Please download the latest v1.7.2.3.